<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/AccessoryStepper.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('AccessoryStepper_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">AccessoryStepper.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __accessoryStepper_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __accessoryStepper_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;Accessory.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define CALIBRATION STATE_FIRST</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#ifndef NO_STEPPER</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classAccessoryStepper.html">   23</a></span>&#160;<span class="keyword">class </span><a class="code" href="classAccessoryStepper.html">AccessoryStepper</a> : <span class="keyword">public</span> <a class="code" href="classAccessory.html">Accessory</a></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;{</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> speed;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keywordtype">int</span> stepsNumber;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordtype">int</span> reduction;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;        <span class="keywordtype">double</span> angleByStep;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <a class="code" href="classAccessoryStepper.html#a6a9c8ee91bfe04900699166b096af1d3">AccessoryStepper</a>();</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classAccessoryStepper.html#a7b735ebc78570e8ac043fcf84e7fafc1">   38</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classAccessoryStepper.html#a7b735ebc78570e8ac043fcf84e7fafc1">CanBePositional</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryStepper.html#afa99bcbba9b5ce7e38d8ce196f88d081">begin</a>(<a class="code" href="classPort.html">Port</a> *inpPort, <span class="keywordtype">int</span> inStepsNumber, <span class="keywordtype">int</span> inReduction, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> inSpeed = 0, <span class="keywordtype">int</span> inMovingPositionsNumber = 1);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryStepper.html#a0188ee79f43dcda4edce3fc16ee14bd6">Event</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONINDEX, <span class="keywordtype">int</span> inData = 0);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="comment">//      void SetStartingPosition(int inPosition) { this-&gt;currentPos = inPosition; }</span></div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classAccessoryStepper.html#af7fe456f7a243c125a37d3e81b36b502">   58</a></span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> <a class="code" href="classAccessoryStepper.html#af7fe456f7a243c125a37d3e81b36b502">StartCalibration</a>() { this-&gt;<a class="code" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(CALIBRATION); }</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classAccessoryStepper.html#a3313ea84bcb8a32ffa0e63fc6f5b0ac0">   60</a></span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryStepper.html#a3313ea84bcb8a32ffa0e63fc6f5b0ac0">EndCalibration</a>() { this-&gt;<a class="code" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a>(STATE_NONE); }</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryStepper.html#af4eee80dabc04e8cf26c543f095fe8ea">MovePosition</a>(<span class="keywordtype">int</span> inAbsolutePosition);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryStepper.html#a4fd15eac24ec35a7b550944ac2c317a4">MoveRelativePosition</a>(<span class="keywordtype">int</span> inRelativePosition);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classAccessoryStepper.html#a83a36fe89064e4d5dc5e48b6e4c2d110">Move</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        ACC_STATE <a class="code" href="classAccessoryStepper.html#a49efaf88d8d2e260ca406b4c9aedb3ca">MoveToggle</a>();</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="keyword">inline</span> ACC_STATE Toggle() { <span class="keywordflow">return</span> <a class="code" href="classAccessoryStepper.html#a49efaf88d8d2e260ca406b4c9aedb3ca">MoveToggle</a>(); }</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <span class="keywordtype">bool</span> ActionEnded();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        <span class="keywordtype">void</span> printAccessory();</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;};</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="ttc" id="classAccessoryStepper_html_a49efaf88d8d2e260ca406b4c9aedb3ca"><div class="ttname"><a href="classAccessoryStepper.html#a49efaf88d8d2e260ca406b4c9aedb3ca">AccessoryStepper::MoveToggle</a></div><div class="ttdeci">ACC_STATE MoveToggle()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8cpp_source.html#l00032">AccessoryStepper.cpp:32</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_a83a36fe89064e4d5dc5e48b6e4c2d110"><div class="ttname"><a href="classAccessoryStepper.html#a83a36fe89064e4d5dc5e48b6e4c2d110">AccessoryStepper::Move</a></div><div class="ttdeci">void Move(unsigned long inId)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8cpp_source.html#l00052">AccessoryStepper.cpp:52</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_a4fd15eac24ec35a7b550944ac2c317a4"><div class="ttname"><a href="classAccessoryStepper.html#a4fd15eac24ec35a7b550944ac2c317a4">AccessoryStepper::MoveRelativePosition</a></div><div class="ttdeci">void MoveRelativePosition(int inRelativePosition)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8cpp_source.html#l00081">AccessoryStepper.cpp:81</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_af4eee80dabc04e8cf26c543f095fe8ea"><div class="ttname"><a href="classAccessoryStepper.html#af4eee80dabc04e8cf26c543f095fe8ea">AccessoryStepper::MovePosition</a></div><div class="ttdeci">void MovePosition(int inAbsolutePosition)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8cpp_source.html#l00068">AccessoryStepper.cpp:68</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_a3313ea84bcb8a32ffa0e63fc6f5b0ac0"><div class="ttname"><a href="classAccessoryStepper.html#a3313ea84bcb8a32ffa0e63fc6f5b0ac0">AccessoryStepper::EndCalibration</a></div><div class="ttdeci">void EndCalibration()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8hpp_source.html#l00060">AccessoryStepper.hpp:60</a></div></div>
<div class="ttc" id="classAccessory_html_a60e5e9122c96773c975fe9d2c2db6520"><div class="ttname"><a href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">Accessory::SetStateRaw</a></div><div class="ttdeci">void SetStateRaw(ACC_STATE inNewState)</div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8cpp_source.html#l00165">Accessory.cpp:165</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_af7fe456f7a243c125a37d3e81b36b502"><div class="ttname"><a href="classAccessoryStepper.html#af7fe456f7a243c125a37d3e81b36b502">AccessoryStepper::StartCalibration</a></div><div class="ttdeci">void StartCalibration()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8hpp_source.html#l00058">AccessoryStepper.hpp:58</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_a0188ee79f43dcda4edce3fc16ee14bd6"><div class="ttname"><a href="classAccessoryStepper.html#a0188ee79f43dcda4edce3fc16ee14bd6">AccessoryStepper::Event</a></div><div class="ttdeci">void Event(unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONINDEX, int inData = 0)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8cpp_source.html#l00095">AccessoryStepper.cpp:95</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_afa99bcbba9b5ce7e38d8ce196f88d081"><div class="ttname"><a href="classAccessoryStepper.html#afa99bcbba9b5ce7e38d8ce196f88d081">AccessoryStepper::begin</a></div><div class="ttdeci">void begin(Port *inpPort, int inStepsNumber, int inReduction, unsigned int inSpeed = 0, int inMovingPositionsNumber = 1)</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8cpp_source.html#l00018">AccessoryStepper.cpp:18</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_a7b735ebc78570e8ac043fcf84e7fafc1"><div class="ttname"><a href="classAccessoryStepper.html#a7b735ebc78570e8ac043fcf84e7fafc1">AccessoryStepper::CanBePositional</a></div><div class="ttdeci">bool CanBePositional() const </div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8hpp_source.html#l00038">AccessoryStepper.hpp:38</a></div></div>
<div class="ttc" id="classAccessoryStepper_html_a6a9c8ee91bfe04900699166b096af1d3"><div class="ttname"><a href="classAccessoryStepper.html#a6a9c8ee91bfe04900699166b096af1d3">AccessoryStepper::AccessoryStepper</a></div><div class="ttdeci">AccessoryStepper()</div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8cpp_source.html#l00013">AccessoryStepper.cpp:13</a></div></div>
<div class="ttc" id="classAccessory_html"><div class="ttname"><a href="classAccessory.html">Accessory</a></div><div class="ttdef"><b>Definition:</b> <a href="Accessory_8hpp_source.html#l00140">Accessory.hpp:140</a></div></div>
<div class="ttc" id="classAccessoryStepper_html"><div class="ttname"><a href="classAccessoryStepper.html">AccessoryStepper</a></div><div class="ttdef"><b>Definition:</b> <a href="AccessoryStepper_8hpp_source.html#l00023">AccessoryStepper.hpp:23</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>AccessoryStepper.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
